Package com.independentsoft.office.spreadsheet

# Class ChartSheetProperties

java.lang.Object
com.independentsoft.office.spreadsheet.ChartSheetProperties

public class ChartSheetProperties extends Object
The Class ChartSheetProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartSheetProperties()`
  Instantiates a new chart sheet properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartSheetProperties`
  `clone()`
  `String`
  `getCodeName()`
  Gets the code name.
  `SheetTabColor`
  `getSheetTabColor()`
  Gets the sheet tab color.
  `boolean`
  `isPublished()`
  Checks if is published.
  `void`
  `setCodeName​(String codeName)`
  Sets the code name.
  `void`
  `setPublished​(boolean published)`
  Sets the published.
  `void`
  `setSheetTabColor​(SheetTabColor sheetTabColor)`
  Sets the sheet tab color.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartSheetProperties

    public ChartSheetProperties()
    Instantiates a new chart sheet properties.

- ## Method Details

  - ### clone

    public ChartSheetProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getSheetTabColor

    public SheetTabColor getSheetTabColor()
    Gets the sheet tab color.
    Returns:
      the sheet tab color

  - ### setSheetTabColor

    public void setSheetTabColor​(SheetTabColor sheetTabColor)
    Sets the sheet tab color.
    Parameters:
      `sheetTabColor` - the new sheet tab color

  - ### getCodeName

    public String getCodeName()
    Gets the code name.
    Returns:
      the code name

  - ### setCodeName

    public void setCodeName​(String codeName)
    Sets the code name.
    Parameters:
      `codeName` - the new code name

  - ### isPublished

    public boolean isPublished()
    Checks if is published.
    Returns:
      true, if is published

  - ### setPublished

    public void setPublished​(boolean published)
    Sets the published.
    Parameters:
      `published` - the new published